# Class BeanShellListener

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.BeanShellTestElement
org.apache.jmeter.visualizers.BeanShellListener

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, UnsharedComponent, SampleListener, TestBean, TestElement, TestStateListener, ThreadListener, Visualizer`

public class BeanShellListener extends BeanShellTestElement implements Cloneable, SampleListener, TestBean, Visualizer, UnsharedComponent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`BeanShellListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(SampleResult sample)`
This method is called by sampling thread to inform the visualizer about the arrival of a new sample.
`protected String`
`getInitFileProperty()`
`boolean`
`isStats()`
This method is used to indicate a visualizer generates statistics.
`void`
`sampleOccurred(SampleEvent se)`
A sample has started and stopped.
`void`
`sampleStarted(SampleEvent e)`
A sample has started.
`void`
`sampleStopped(SampleEvent e)`
A sample has stopped.

### Methods inherited from class BeanShellTestElement

`clone, getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanShellListener

public BeanShellListener()

## Method Details

### getInitFileProperty

protected String getInitFileProperty()

Specified by:
  `getInitFileProperty` in class `BeanShellTestElement`

### sampleOccurred

public void sampleOccurred(SampleEvent se)
Description copied from interface: `SampleListener`
A sample has started and stopped.

Specified by:
  `sampleOccurred` in interface `SampleListener`
Parameters:
  `se` - the `SampleEvent` that has occurred

### sampleStarted

public void sampleStarted(SampleEvent e)
Description copied from interface: `SampleListener`
A sample has started.

Specified by:
  `sampleStarted` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has started

### sampleStopped

public void sampleStopped(SampleEvent e)
Description copied from interface: `SampleListener`
A sample has stopped.

Specified by:
  `sampleStopped` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has stopped

### add

public void add(SampleResult sample)
Description copied from interface: `Visualizer`
This method is called by sampling thread to inform the visualizer about the arrival of a new sample.

Specified by:
  `add` in interface `Visualizer`
Parameters:
  `sample` - the newly arrived sample

### isStats

public boolean isStats()
Description copied from interface: `Visualizer`
This method is used to indicate a visualizer generates statistics.

Specified by:
  `isStats` in interface `Visualizer`
Returns:
  true if visualiser generates statistics